/*
_____       _    _    Corso   Italia,  178
(_|__   .  (_   |_|_  56125           Pisa
(_|_) |)|(()_)()| |   tel.  +39  050 46380
  |   |               picosoft@picosoft.it

 Copyright (C) Picosoft s.r.l. 1995-2002

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2, or (at your option)
 any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/
# include "stmtrlvw.h"
static char rcsid[] = "$Id: stmtrlvw.cpp 5.0 1999/10/08 10:17:43 picoSoft Exp $";
static char rcsidh[] = stmtrlvw_h;

PCLASSID(StmtRelView)

StmtRelView::StmtRelView (RelView &p) :
view(p)
{
   name = view.getName();
   AttrViewIterator avi(p.getFields());
   for (avi.reset(); *avi; avi++)
      fields.AddItem (new AttrViewKeyObject ((*avi)->getName(), *avi));
}

StmtRelView::StmtRelView (RelView &p, const PString &s) :
view(p),
name(s)
{
   AttrViewIterator avi(p.getFields());
   for (avi.reset(); *avi; avi++)
      fields.AddItem (new AttrViewKeyObject ((*avi)->getName(), *avi));
}

StmtRelView::~StmtRelView ()
{
   AttrViewKeyObject *avko;
   for (avko = fields.GetFirst(); avko; avko = fields.DeleteCurrent())
      delete avko;
}


AttrViewKeyObject *
StmtRelView::getField (const PString &s)
{
   AttrViewKeyObject *Return;
   for (Return = fields.GetFirst(); Return; Return = fields.GetNext())
      if (s == Return->getKey())
         break;
   return Return;
}
